Index: /extensions/flop_style/mainpage_categories/jPolaroid.css
===================================================================
--- /extensions/flop_style/mainpage_categories/jPolaroid.css	(revision 9825)
+++ /extensions/flop_style/mainpage_categories/jPolaroid.css	(revision 9825)
@@ -0,0 +1,22 @@
+/* from http://steveram.info/jpolaroid/ thx ! */
+ul.jpolaroid {
+	list-style: none;
+	overflow: visible;
+	width: 100%;
+	padding-top: 20px;
+	padding-right: 0;
+	padding-bottom: 0;
+	padding-left: 0;
+	margin:auto;
+	text-align:center;
+}
+ul.jpolaroid li {
+	display: inline;
+}
+ul.jpolaroid a {
+	display: inline;
+	text-align: center;
+	text-decoration: none;
+	width: auto;
+	border:none;
+}
Index: /extensions/flop_style/mainpage_categories/jPolaroid.tpl
===================================================================
--- /extensions/flop_style/mainpage_categories/jPolaroid.tpl	(revision 9825)
+++ /extensions/flop_style/mainpage_categories/jPolaroid.tpl	(revision 9825)
@@ -0,0 +1,32 @@
+{combine_css path="template-extension/flop_style/mainpage_categories/jPolaroid.css"}
+{combine_css path="template-extension/flop_style/mainpage_categories/jPolaroid/jpolaroid.minified.css"}
+{combine_script id="jquery.jpolaroid.minified" load="header" path="template-extension/flop_style/mainpage_categories/jpolaroid/jquery.jpolaroid.minified.js"}
+{html_head}
+  {literal}
+<script type="text/javascript">
+$(document).ready(function(){ 
+    $('.jpolaroid img').polaroid({ 
+        tape:true, 
+        shadowPos: "bottom-right", 
+        bottom: "33px", 
+        top: "22px", 
+        left: "27px", 
+        right: "27px", 
+        shadowColor: "#CCCCCC", 
+        backgroundColor: "#FDFDFD" 
+    }); 
+}); 
+</script>
+  {/literal}
+{/html_head}
+
+<ul class="jpolaroid">
+{foreach from=$category_thumbnails item=cat}
+  <li>
+			<a href="{$cat.URL}" title="{$cat.NAME|@replace:'"':' '}">
+				<img src="{$cat.TN_SRC}"  alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '} - {'display this album'|@translate}" >
+			</a>
+	</li>
+{/foreach}
+</ul>
+<br style="clear:both" />
Index: /extensions/flop_style/mainpage_categories/jPolaroid/jpolaroid.minified.css
===================================================================
--- /extensions/flop_style/mainpage_categories/jPolaroid/jpolaroid.minified.css	(revision 9825)
+++ /extensions/flop_style/mainpage_categories/jPolaroid/jpolaroid.minified.css	(revision 9825)
@@ -0,0 +1,11 @@
+.polaroid-container{position:relative;float:left;margin:20px}
+.polaroid-shadow{background-color:#CCC;text-align:center}
+.polaroid{background-color:#FDFDFD;border:1px solid #999;position:relative;left:-3px;top:-3px}
+.polaroid-content-container{margin:15px 15px 32px 20px}
+.polaroid-pic{display:block;border:1px solid #CCC;border-top:1px solid #999;border-right:1px solid #999;margin-bottom:15px}
+.polaroid-caption{color:#777;font-size:.75em;font-style:italic}
+.tape{position:absolute}
+.top-left{width:80px !important;height:87px;top:-20px;left:-20px;filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled=true,sizingMethod=scale,src='../_images/tape-tl.png')}
+.top-right{width:87px !important;height:80px;top:-20px;right:-20px;filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled=true,sizingMethod=scale,src='../_images/tape-tr.png')}
+.top-left[class]{background-image:url(tape-tl.png)}
+.top-right[class]{background-image:url(tape-tr.png)}
Index: /extensions/flop_style/mainpage_categories/jPolaroid/jquery.jpolaroid.minified.js
===================================================================
--- /extensions/flop_style/mainpage_categories/jPolaroid/jquery.jpolaroid.minified.js	(revision 9825)
+++ /extensions/flop_style/mainpage_categories/jPolaroid/jquery.jpolaroid.minified.js	(revision 9825)
@@ -0,0 +1,15 @@
+/**
+ * jPolaroid
+ *   http://steveram.info/jPolaroid/
+ *
+ * Copyright (c) 2009 Steven Ramkumar (http://steveram.info)
+ * Licensed under GPL (GPL-LICENSE.txt).
+ *
+ * Built on top of the jQuery library
+ *   http://jquery.com
+ *
+ * Inspired by the author of nogoodatcoding.com
+ *   http://nogoodatcoding.com/
+ */
+
+jQuery.fn.polaroid=function(options){var options=jQuery.extend({tape:true,shadow:"left-bottom",bottom:"33px",top:"22px",left:"27px",right:"27px",shadowPos:"bottom-right",shadowColor:"#CCCCCC",backgroundColor:"#FDFDFD"},options);return this.each(function(){$(this).addClass('polaroid-pic');$(this).wrap('<div class="polaroid-container"></div>');$(this).wrap('<div class="polaroid-shadow"></div>');$(this).wrap('<div class="polaroid"></div>');$(this).wrap('<div class="polaroid-content-container"></div>');$(this).parent().attr("style","margin:"+options.top+" "+options.right+" "+options.bottom+" "+options.left);switch(options.shadowPos){case"bottom-right":$(this).parent().parent().attr("style","top: -3px; left:-3px; background-color:"+options.backgroundColor);break;case"bottom-left":$(this).parent().parent().attr("style","top: -3px; left:3px; background-color:"+options.backgroundColor);break;case"top-left":$(this).parent().parent().attr("style","top: 3px; left:3px; background-color:"+options.backgroundColor);break;case"top-right":$(this).parent().parent().attr("style","top: 3px; left:-3px; background-color:"+options.backgroundColor);break;default:$(this).parent().parent().attr("style","top: -3px; left:-3px; background-color:"+options.backgroundColor)}$(this).parent().parent().parent().attr("style","background-color:"+options.shadowColor);if(options.tape===true){$(this).parent().parent().parent().parent().append('<span class="tape top-left">&nbsp;</span>');$(this).parent().parent().parent().parent().append('<span class="tape top-right">&nbsp;</span>')}})};
Index: /extensions/flop_style/mainpage_categories/medium_cat.css
===================================================================
--- /extensions/flop_style/mainpage_categories/medium_cat.css	(revision 9824)
+++ /extensions/flop_style/mainpage_categories/medium_cat.css	(revision 9825)
@@ -3,7 +3,7 @@
 	padding-left:auto;
 	padding-right:auto;
-	padding: 5px;
 	list-style: none outside none;
 	text-align: center;
+	background-image:none;
 }
 #content .thumbnailCategories li {
@@ -15,20 +15,13 @@
 	margin: 5px;
 	padding: 5px;
+	background-image:none;
 }
-
-
-#content div.thumbnailCategory {
-	text-align:center;
-	width:100%;
-	height:100%;
-	margin: 0 auto;
-	padding: 0;
-	vertical-align:middle;
+#content .thumbnailCategories li:hover {
+	background-image:none;
 }
-
-#content div.thumbnailCategory div.illustration  {
+#content div.thumbnailCategory div.illustration {
 	width:auto;
 	height:auto;
-/*height:135px;*/
+	/*height:135px;*/
 	text-align:center;
 	overflow: inherit;
@@ -36,4 +29,5 @@
 	margin: 0;
 	padding: 0;
+	background-image:none;
 }
 #content div.thumbnailCategory div.description {
@@ -42,15 +36,24 @@
 	text-align:center;
 	overflow:inherit;
-    float:none;
-    overflow: auto;
-
+	float:none;
+	overflow: auto;
+	background-image:none;
+}
+.description img {
+	float:right;
+}
+#content div.thumbnailCategory div.description p {
+	text-align: center;
 }
 /* --------------Hack-------------*/
 #content div.thumbnailCategory {
-	display: table-cell;
-	text-align: center;
+	display: inline-block;
+	margin: 5px auto;
+	padding:5px;
 	vertical-align: middle;
 	width:160px;
 	height:205px;
+	text-align: center;
+	background-image:none;
 }
 #content div.thumbnailCategory * {
@@ -58,8 +61,8 @@
 }
 /*\*//*/
-.wraptocenter {
+#content div.thumbnailCategory {
     display: block;
 }
-.wraptocenter span {
+#content div.thumbnailCategory span {
     display: inline-block;
     height: 100%;
@@ -70,8 +73,7 @@
 
 #content div.thumbnailCategory div.description h3 {
-text-align:center;
+	text-align:center;
 }
-
 #content div.thumbnailCategory div.illustration img {
-    height: 96px;
+	height: 96px;
 }
Index: /extensions/flop_style/mainpage_categories/picpile_cat.css
===================================================================
--- /extensions/flop_style/mainpage_categories/picpile_cat.css	(revision 9824)
+++ /extensions/flop_style/mainpage_categories/picpile_cat.css	(revision 9825)
@@ -27,5 +27,5 @@
 }
 .picRotated {
-	background: url("img/album_front_bg.png") no-repeat scroll 0 0 transparent;
+	background: url("picpile_cat/album_front_bg.png") no-repeat scroll 0 0 transparent;
 	height: 138px;
 	left: -4px;
@@ -69,5 +69,5 @@
 }
 .highlight {
-	background: url("img/pic_highlight.png") no-repeat scroll left top transparent;
+	background: url("picpile_cat/pic_highlight.png") no-repeat scroll left top transparent;
 	display: block;
 	height: 100px;
Index: /extensions/flop_style/thumbnails/jPolaroid.css
===================================================================
--- /extensions/flop_style/thumbnails/jPolaroid.css	(revision 9825)
+++ /extensions/flop_style/thumbnails/jPolaroid.css	(revision 9825)
@@ -0,0 +1,25 @@
+/* from http://steveram.info/jpolaroid/ thx ! */
+ul.thumbnails {
+	list-style: none;
+	overflow: visible;
+	width: 100%;
+	padding-top: 20px;
+	padding-right: 0;
+	padding-bottom: 0;
+	padding-left: 0;
+	margin:auto;
+	text-align:center;
+}
+ul.thumbnails li {
+	display: inline;
+}
+ul.thumbnails a {
+	display: inline;
+	text-align: center;
+	text-decoration: none;
+	width: auto;
+	border:none;
+}
+.navigationBar {
+	clear:both;
+}
Index: /extensions/flop_style/thumbnails/jPolaroid.tpl
===================================================================
--- /extensions/flop_style/thumbnails/jPolaroid.tpl	(revision 9825)
+++ /extensions/flop_style/thumbnails/jPolaroid.tpl	(revision 9825)
@@ -0,0 +1,31 @@
+{combine_css path="template-extension/flop_style/thumbnails/jPolaroid.css"}
+{combine_css path="template-extension/flop_style/mainpage_categories/jPolaroid/jpolaroid.minified.css"}
+{combine_script id="jquery.jpolaroid.minified" load="header" path="template-extension/flop_style/mainpage_categories/jpolaroid/jquery.jpolaroid.minified.js"}
+{html_head}
+  {literal}
+<script type="text/javascript">
+$(document).ready(function(){ 
+    $('.thumb_jpolaroid').polaroid({ 
+        tape:true, 
+        shadowPos: "bottom-right", 
+        bottom: "33px", 
+        top: "22px", 
+        left: "27px", 
+        right: "27px", 
+        shadowColor: "#CCCCCC", 
+        backgroundColor: "#FDFDFD" 
+    }); 
+}); 
+</script>
+  {/literal}
+{/html_head}
+
+{if !empty($thumbnails)}
+{strip}{foreach from=$thumbnails item=thumbnail}
+	<li>
+			<a href="{$thumbnail.URL}" title="{if isset($thumbnail.NAME)}{$thumbnail.NAME|truncate:11:" [...]"|@replace:'"':' '}{/if}">
+				<img src="{$thumbnail.TN_SRC}" class="thumb_jpolaroid" alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}" >
+			</a>
+	</li>
+{/foreach}{/strip}
+{/if}