Index: /extensions/typetags/language/sk_SK/description.txt
===================================================================
--- /extensions/typetags/language/sk_SK/description.txt	(revision 9841)
+++ /extensions/typetags/language/sk_SK/description.txt	(revision 9841)
@@ -0,0 +1,1 @@
+Povoliť ovládanie farieb kľúčových slov ako chcete...
Index: /extensions/typetags/language/sk_SK/index.php
===================================================================
--- /extensions/typetags/language/sk_SK/index.php	(revision 9841)
+++ /extensions/typetags/language/sk_SK/index.php	(revision 9841)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/typetags/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/typetags/language/sk_SK/plugin.lang.php	(revision 9841)
+++ /extensions/typetags/language/sk_SK/plugin.lang.php	(revision 9841)
@@ -0,0 +1,32 @@
+<?php
+
+$lang['typetags_error'] = 'Môžete meniť všetky údaje (názov a farbu).';
+$lang['typetags_saved'] = 'Typ kľúčového slova uložený.';
+$lang['typetags_suppr'] = 'Typ kľúčových slov vymazaný.';
+$lang['typetag_suppr'] = 'Typ kľúčového slova vymazaný.';
+$lang['typetags_already exists'] = 'Tento typ kľúčového slova už existuje.';
+$lang['Edit selected typetags'] = 'Upraviť označené kľúčového slová.';
+$lang['Delete selected typetags'] = 'Vymazať označené kľúčového slová.';
+$lang['Edit typetags'] = 'Upraviť kľúčového slová';
+$lang['New color'] = 'Nová farba';
+$lang['Create a Typetag'] = 'Vytvoriť kľúčové slovo';
+$lang['New TypeTag'] = 'Názov kľúčového slova';
+$lang['ColorTypeTag'] = 'Fraba kľúčového slova';
+$lang['TypeTag selection'] = 'Upraviť - vymazať kľúčového slová';
+$lang['TypeTag association'] = 'Spojené kľúčového slová';
+$lang['TypeTag dissociation'] = 'Rozdelené kľúčového slová';
+$lang['existing_typetag_list'] = 'Kľúčové slovo na spojenie:';
+$lang['associate'] = 'Spojené';
+$lang['dissociate'] = 'Rozdelené';
+$lang['typetags_associated'] = 'Kľúčové slovo spojené.';
+$lang['typetags_dissociated'] = 'Kľúčové slovo rozdelené.';
+$lang['choose_typetag'] = ' Vybrať kľúčové slovo na spojenie ';
+$lang['error_associate'] = ' Musíte vybrať kľúčové slovo(á) A a typ kľúčového slova ';
+$lang['error_dissociate'] = ' Musíte vybrať kľúčové slovo(á) na rozdelenie ';
+
+$lang['Edited TypeTag'] = 'Upravený typ kľúčového slova';
+$lang['New name'] = 'Nový názov';
+$lang['Modify'] = 'Zmeniť';
+$lang['You should select only one Typetag to edit.'] = 'Mali by ste vybrať len jeden typ kľúčového slova na úpravu.';
+
+?>