Index: /trunk/language/is_IS/about.html
===================================================================
--- /trunk/language/is_IS/about.html	(revision 9861)
+++ /trunk/language/is_IS/about.html	(revision 9861)
@@ -0,0 +1,14 @@
+<p>Þetta mynda gallerí er byggt á Piwigo.</p>
+
+<p>Piwigo er mynda hugbúnaður fyrir vefinn, byggt af virku
+samfélag notenda og þróunaraðila. Viðbætur gera Piwigo auðveldlega
+sérsníðanlegt.
+Rúsínan í pylsuendanum. Piwigo er óskeypis og opinn uppspretta.</p>
+
+<p id="linkToPiwigo"><a href="http://piwigo.org">Heimsækja heimasíðu Piwigo </a></p>
+
+<p>Íslensku þýðing er viðhaldið af Wallster:
+    <ul>
+        <li><a href="http://piwigo.org/forum/profile.php?id=10283">Wallster</a></li>
+    </ul>
+</p>
Index: /trunk/language/is_IS/common.lang.php
===================================================================
--- /trunk/language/is_IS/common.lang.php	(revision 9861)
+++ /trunk/language/is_IS/common.lang.php	(revision 9861)
@@ -0,0 +1,361 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+/*
+Language Name: Icelandic [IS]
+Version: 2.2.0
+Language URI: http://piwigo.org/ext/extension_view.php?eid=
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
+
+// Langage informations
+$lang_info['language_name'] = 'Íslenska';
+$lang_info['country'] = 'Ísland';
+$lang_info['direction'] = 'ltr';
+$lang_info['code'] = 'is';
+$lang_info['zero_plural'] = '1';
+
+$lang['%.2f (rated %d times)'] = '%.2f (gefið einkun %d sinnum)';
+$lang['%d Kb'] = '%d Kb';
+$lang['%d comment to validate'] = '%d athugasemd til að staðfesta';
+$lang['%d comments to validate'] = '%d athugasemdir til að staðfesta';
+$lang['%d new comment'] = '%d ný athugasemt';
+$lang['%d new comments'] = '%d nýar athugasemtir';
+$lang['%d comment'] = '%d athugasemd';
+$lang['%d comments'] = '%d athugasemdir';
+$lang['%d hit'] = '%d ýtt á';
+$lang['%d hits'] = '%d ýtt á';
+$lang['%d new user'] = '%d nýr notandi';
+$lang['%d new users'] = '%d nýir notendur';
+$lang['About'] = 'Um';
+$lang['All tags'] = 'Öll merki';
+$lang['Any tag'] = 'Hvaða merki sem er';
+$lang['At least one listed rule must be satisfied.'] = 'Að minsta kosti einn flokkur verður að vera valinn.';
+$lang['At least one tag must match'] = 'Að minsta kosti eitt merki verður að passa';
+$lang['Author'] = 'Höfundur';
+$lang['Average rate'] = 'Meðal einkun';
+$lang['Close this window'] = 'Loka þessum glugga';
+$lang['Confirm Password'] = 'Staðfesta Lykilorð';
+$lang['Connection settings'] = 'Stillingar fyrir tengingu';
+$lang['Login'] = 'Innskráning';
+$lang['Contact webmaster'] = 'Hafa samband við webmaster';
+$lang['Create a new account'] = 'Stofnan nýjan aðgang';
+$lang['Created on'] = 'Stofnað á';
+$lang['Creation date'] = 'Stofnunar dagur';
+$lang['Current password is wrong'] = 'Núverandi lykilorð er vitlaust';
+$lang['Dimensions'] = 'Stærð';
+$lang['Display'] = 'Sýna';
+$lang['Each listed rule must be satisfied.'] = 'Hver skráð viðmiðun verður að vera uppfyllt.';
+$lang['Email address'] = 'Tölvupóstur';
+$lang['Enter your personnal informations'] = 'Settu inn persónu upplýsingar';
+$lang['Error sending email'] = 'Villa við sendingu tölvupósts';
+$lang['File name'] = 'Nafn skjals';
+$lang['File'] = 'Skjal';
+$lang['Filesize'] = 'Stærð skjals';
+$lang['Filter and display'] = 'Sýja og sýna';
+$lang['Filter'] = 'Sýja';
+$lang['Forgot your password?'] = 'Gleymt lykilorð?';
+$lang['Go through the gallery as a visitor'] = 'Skoða myndasafn sem gestur';
+$lang['Help'] = 'Hjálp';
+$lang['Identification'] = 'Auðkenni';
+$lang['Keyword'] = 'Aðalorð';
+$lang['Links'] = 'Hlekkur';
+$lang['N/A'] = 'N/A';
+$lang['month'][10] = "Október";
+$lang['month'][11] = "Nóvember";
+$lang['month'][12] = "Desember";
+$lang['month'][1] = "Janúar";
+$lang['month'][2] = "Febrúar";
+$lang['month'][3] = "Mars";
+$lang['month'][4] = "Apríl";
+$lang['month'][5] = "Maí";
+$lang['month'][6] = "Júní";
+$lang['month'][7] = "Júlí";
+$lang['month'][8] = "Ágúst";
+$lang['month'][9] = "September";
+$lang['day'][0] = "Sunnudagur";
+$lang['day'][1] = "Mánudagur";
+$lang['day'][2] = "Þriðjudagur";
+$lang['day'][3] = "Miðvikudagur";
+$lang['day'][4] = "Fimmtudagur";
+$lang['day'][5] = "Föstudagur";
+$lang['day'][6] = "Laugardagur";
+$lang['Complete RSS feed (photos, comments)'] = 'Klára RSS flæði (myndir, athugasemdir)';
+$lang['Photos only RSS feed'] = 'aðeins myndir RSS flæði';
+$lang['New on %s'] = 'Nýtt á %s';
+$lang['New password confirmation does not correspond'] = 'Staðfesting á nýju lykilorði passar ekki';
+$lang['New password sent by email'] = 'Nýtt lykilorð verður sent með tölvupósti';
+$lang['No email address'] = 'Ekkert tölvupóstfang';
+$lang['No classic user matches this email address'] = 'Engin notandi passar við þetta netfang';
+$lang['Notification'] = 'Tilkynning';
+$lang['Number of items'] = 'fjöldi atriða';
+$lang['Original dimensions'] = 'Upprunaleg stærð';
+$lang['Password forgotten'] = 'Gleymdir þú lykilorðinu þínu?';
+$lang['Password'] = 'Lykilorð';
+$lang['Post date'] = 'Birt á';
+$lang['Posted on'] = 'Birt á';
+$lang['Profile'] = 'Síðan mín';
+$lang['Quick connect'] = 'Snögg tengjast';
+$lang['RSS feed'] = 'RSS flæði';
+$lang['Rate'] = 'Einkun';
+$lang['Register'] = 'Nýskráning';
+$lang['Registration'] = 'Skráning';
+$lang['Related tags'] = 'Svipuð merki';
+$lang['Reset'] = 'Endurstilla';
+$lang['Retrieve password'] = 'Sækja lykilorð';
+$lang['Search rules'] = 'Leitarskilyrði';
+$lang['Search tags'] = 'Leita að merki';
+$lang['Search'] = 'Leita';
+$lang['display available tags'] = 'Sýna tiltæk merki';
+$lang['Send new password'] = 'Senda nýtt lykilorð';
+$lang['Since'] = 'Frá';
+$lang['Sort by'] = 'Flokka eftir';
+$lang['Sort order'] = 'Flokkunar röð';
+$lang['Tag'] = 'Merki';
+$lang['Tags'] = 'Merki';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'RSS flæði gefur tilkynningu um nýja atburði á þessari vefsíðu:  nýjar myndir, uppfærslur albúma, Nýjar athugasemdir. Til að nota með RSS flæða lesara.';
+$lang['Unknown feed identifier'] = 'Óþekkt flæði auðkenni';
+$lang['User comments'] = 'Athugasemdir notenda';
+$lang['Username'] = 'Notendanafn';
+$lang['Visits'] = 'Heimsóknir';
+$lang['Webmaster'] = 'Webmaster';                                               
+$lang['Week %d'] = 'Vika %d';
+$lang['About Piwigo'] = 'Um Piwigo';
+$lang['You are not authorized to access the requested page'] = 'Þú hefur ekki leyfi til að fá aðgang að umbeðini síðu';
+$lang['add to caddie'] = 'Bæta við caddie';
+$lang['add this photo to your favorites'] = 'bæta þessari mynd við uppáhalds';
+$lang['Administration'] = 'Administration';
+$lang['all'] = 'allt';
+$lang['%d album updated'] = '%d albúm uppfært';
+$lang['%d albums updated'] = '%d albúm uppfærð';
+$lang['%d new photo'] = '%d ný mynd';
+$lang['%d new photos'] = '%d nýjar myndir';
+$lang['Albums'] = 'Albúm';
+$lang['Album'] = 'Albúm';
+$lang['ascending'] = 'hækkandi';
+$lang['author(s) : %s'] = 'höfundur/ar : %s';
+$lang['Expand all albums'] = 'Stækka öll albúm';
+$lang['posted after %s (%s)'] = 'Birt eftir %s (%s)';
+$lang['posted before %s (%s)'] = 'Birt fyrir %s (%s)';
+$lang['posted between %s (%s) and %s (%s)'] = 'Birt milli %s (%s) og %s (%s)';
+$lang['posted on %s'] = 'Birt á %s';
+$lang['Best rated'] = 'Besta einkun';
+$lang['display best rated photos'] = 'sýna myndir með bestu einkun';
+$lang['caddie'] = 'Caddie';
+$lang['Calendar'] = 'Dagatal';
+$lang['All'] = 'Allt';
+$lang['display each day with photos, month per month'] = 'sýna hvern dag með myndum, hvern mánum';
+$lang['View'] = 'Skoða';
+$lang['chronology_monthly_calendar'] = 'Mánaðar dagatal';
+$lang['chronology_monthly_list'] = 'Mánaðalegur listi';
+$lang['chronology_weekly_list'] = 'Viku listi';
+$lang['Click here if your browser does not automatically forward you'] = 'Smelltu hér ef vafrinn sendir þig ekki áfram sjálfkrafa';
+$lang['comment date'] = 'dasetning athugasemdar';
+$lang['Comment'] = 'Athugasemd';
+$lang['Your comment has been registered'] = 'Athugasemd þín hefur verið skráð';
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Vörn gegn spam : vinsamlegast bíðið augnablik áður en þið reynið að birta aðra athugasemd';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Athugasemd þín hefur ekki verið skráð vegna þess að hún stóðst ekki reglur';
+$lang['An administrator must authorize your comment before it is visible.'] = 'Stjórnandi verður að heimila athugasemd þína áður en hún verður sýnileg.';
+$lang['This login is already used by another user'] = 'Þetta notendanafn er nú þegar í notkun';
+$lang['Comments'] = 'Athugasemdir';
+$lang['Add a comment'] = 'Bæta við athugasemd';
+$lang['created after %s (%s)'] = 'búið til eftir %s (%s)';
+$lang['created before %s (%s)'] = 'búið til fyrir %s (%s)';
+$lang['created between %s (%s) and %s (%s)'] = 'búið til milli %s (%s) og %s (%s)';
+$lang['created on %s'] = 'búið til á %s';
+$lang['Customize'] = 'Aðlaga';
+$lang['Your Gallery Customization'] = 'Aðlögun á þínu galleríi';
+$lang['Default'] = 'Upprunalegt';
+$lang['delete this photo from your favorites'] = 'eyða þessari mynd úr uppáhalds';
+$lang['Delete'] = 'Eyða';
+$lang['descending'] = 'lækkandi';
+$lang['download'] = 'niðurhal';
+$lang['download this file'] = 'sækja þessa skrá';
+$lang['edit'] = 'breyta';
+$lang['wrong date'] = 'vitlaus dagsetning';
+$lang['excluded'] = 'útilokað';
+$lang['Your favorites'] = 'Þínar uppáhalds';
+$lang['display your favorites photos'] = 'Sýna uppáhalsd myndirnar þínar';
+$lang['Favorites'] = 'Uppáhalds';
+$lang['First'] = 'Fyrsta';
+$lang['The gallery is locked for maintenance. Please, come back later.'] = 'Galleríið er lokað vegna viðhalds. Vinsamlegast reynið síðar.';
+$lang['Page generated in'] = 'Síða mynduð í';
+$lang['guest'] = 'gestur';
+$lang['Hello'] = 'Halló';
+$lang['available for administrators only'] = 'Aðeins í boði fyrir stjórnendur';
+$lang['display this album'] = 'sýna þetta albúm';
+$lang['display last user comments'] = 'sýna athugasemdir síðasta notenda';
+$lang['customize the appareance of the gallery'] = 'aðlaga útlit gallerís';
+$lang['search'] = 'leita';
+$lang['Home'] = 'Heim';
+$lang['in this album'] = 'í þessu albúmi';
+$lang['in %d sub-album'] = 'in %d undir flokkur';
+$lang['in %d sub-albums'] = 'in %d undir flokkar';
+$lang['included'] = 'innifalið';
+$lang['Invalid password!'] = 'ógilt lykilorð!';
+$lang['Language'] = 'Tungumál';
+$lang['last %d days'] = 'síðustu %d daga';
+$lang['Last'] = 'síðasta';
+$lang['Logout'] = 'Útsrá';
+$lang['E-mail address'] = 'Netfang';
+$lang['obligatory'] = 'skylda';
+$lang['Maximum photo height'] = 'Hámark hæð myndar';
+$lang['Maximum height must be a number superior to 50'] = 'Hámarks hæð verður að vera hærri en 50';
+$lang['Maximum photo width'] = 'Hámark breidd myndar';
+$lang['Maximum width must be a number superior to 50'] = 'Hámarks beidd verður að vera hærri en 50';
+$lang['display a calendar by creation date'] = 'sýna dagatal hjá dagsetningu sem búið til var á';
+$lang['display all photos in all sub-albums'] = 'sýna allar myndir í undir flokki';
+$lang['return to normal view mode'] = 'aftur í venjulegan skjá';
+$lang['display a calendar by posted date'] = 'sýna dagatal hjá dagsetningu sem birt var á';
+$lang['Most visited'] = 'Oftast heimsótt';
+$lang['display most visited photos'] = 'sýna mest heimsóttar myndir';
+$lang['The number of photos per row must be a not null scalar'] = 'Fjöldi mynda í röð verða að vera nonzero heiltala';
+$lang['Number of photos per row'] = 'Fjöldi mynda í hverri röð';
+$lang['The number of rows per page must be a not null scalar'] = 'Fjöldi raða á síðu verða að vera nonzero heiltala';
+$lang['Number of rows per page'] = 'Fjöldi raða á síðu';
+$lang['Unknown identifier'] = 'Óþekkt auðkenni';
+$lang['New password'] = 'Nýtt lykilorð';
+$lang['Rate this photo'] = 'Gefa þessari mynd einkunn';
+$lang['Next'] = 'Næsta';
+$lang['no rate'] = 'engin einkunn';
+$lang['Photos posted within the last %d day.'] = 'Aðeins myndir birtar á síðasta %d degi.';
+$lang['Photos posted within the last %d days.'] = 'Aðeins myndir birtar á síðustu %d dögum.';
+$lang['password updated'] = 'lykilorð uppfært';
+$lang['Recent period must be a positive integer value'] = 'Nýlegt tímabil verður að vera a jákvæð heiltala gildi';
+$lang['photo'] = 'mynd';
+$lang['Click on the photo to see it in high definition'] = 'Styðjið á myndina til að sjá hana í háskerpu';
+$lang['Show file metadata'] = 'Sýna skrá metadata';
+$lang['Powered by'] = 'Powered by';
+$lang['Preferences'] = 'Valmöguleikar';
+$lang['Previous'] = 'Fyrri';
+$lang['Random photos'] = 'Myndir af handahófi';
+$lang['display a set of random photos'] = 'sýna handahófskent sett af myndum';
+$lang['Recent albums'] = 'Nýleg albúm';
+$lang['display recently updated albums'] = 'sýna nýlega uppfærð albúm';
+$lang['Recent period'] = 'Nýlegt tímabil';
+$lang['Recent photos'] = 'Nýlegar myndir';
+$lang['display most recent photos'] = 'sýna nýkegustu myndirnar';
+$lang['Redirection...'] = 'Áframsending…';
+$lang['Please, enter a login'] = 'Vinsamlegast sáið inn notendanafn';
+$lang['login mustn\'t end with a space character'] = 'notendanafn má ekki enda á bili';
+$lang['login mustn\'t start with a space character'] = 'notendanafn má ekki byrja á bili';
+$lang['this login is already used'] = 'þetta notendanafn er nú þegar í notkun';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'netfang verður að vera xxx@yyy.eee (example : jack@altern.org)';
+$lang['please enter your password again'] = 'vinsamlegast sláið lykilorð aftur inn';
+$lang['Auto login'] = 'Sjálfvirk innskráning';
+$lang['remove this tag from the list'] = 'fjarlægja merki úr lista';
+$lang['representative'] = 'Fulltrúi';
+$lang['Search for Author'] = 'Leita að höfundi';
+$lang['Search in albums'] = 'Leita í albúmum';
+$lang['Search by Date'] = 'Leita eftir dagsetningu';
+$lang['Date'] = 'Dagsetning';
+$lang['End-Date'] = 'loka dagsetning';
+$lang['Kind of date'] = 'Hvers konar dagsetning';
+$lang['Search for words'] = 'Leita að orðum';
+$lang['Search for all terms'] = 'Leita að öllum skilmálum';
+$lang['Search for any terms'] = 'Leita að hvaða skilmálum sem er';
+$lang['Empty query. No criteria has been entered.'] = 'Tóm fyrirspurn. Engin viðmið hafa verið skráð.';
+$lang['Search Options'] = 'Leitarvalkostir';
+$lang['Search results'] = 'Leitar niðurstöður';
+$lang['Search in sub-albums'] = 'Leita í undir flokkum';
+$lang['searched words : %s'] = 'Orð sem leitað er að :%s';
+$lang['Contact'] = 'Tengiliðir';
+$lang['set as album representative'] = 'setja sem forsíðu á albúmi';
+$lang['Show number of comments'] = 'Sýna fjölda athugasemda';
+$lang['Show number of hits'] = 'Sýna fjölda niðurstaða';
+$lang['slideshow'] = 'myndasýning';
+$lang['stop the slideshow'] = 'stoppa myndasýningu';
+$lang['Specials'] = 'Meira';
+$lang['SQL queries in'] = 'SQL spurningar inn';
+$lang['display only recently posted photos'] = 'aðeins sýna myndir sem nýlega voru settar inn';
+$lang['return to the display of all photos'] = 'aftur í sýningu á öllum myndum';
+$lang['the beginning'] = 'upphafið';
+$lang['Interface theme'] = 'Þema';
+$lang['Thumbnails'] = 'Smámyndir';
+$lang['Menu'] = 'Valmynd';
+$lang['A comment on your site'] = 'Athugasemd á síðuni þinni';
+$lang['today'] = 'í dag';
+$lang['Update your rating'] = 'uppfæra einkunn þína';
+$lang['wrong filename'] = 'vitlaust skáarnafn';
+$lang['the username must be given'] = 'notendanafnins er krafist';
+$lang['useful when password forgotten'] = 'gagnlegt ef lykilorð gleymist';
+$lang['Quick search'] = 'Hraðleit';
+$lang['Connected user: %s'] = 'Tengdur notandi: %s';
+$lang['IP: %s'] = 'IP: %s';
+$lang['Browser: %s'] = 'Vafri: %s';
+$lang['Author: %s'] = 'Höfundur: %s';
+$lang['Comment: %s'] = 'Athugasemd: %s';
+$lang['Comment by %s'] = 'Athugasemd eftir %s';
+$lang['User: %s'] = 'Notandi: %s';
+$lang['Email: %s'] = 'Netfangl: %s';
+$lang['Admin: %s'] = 'Admin: %s';
+$lang['Registration of %s'] = 'Skráning %s';
+$lang['Album: %s'] = 'Albúm: %s';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Slæm staða fyrir notanda "gestur", sjálfgefin staða verðu notuð. Vinsamlegast tilkynnið til vefstjóra.';
+$lang['Administrator, webmaster and special user cannot use this method'] = 'Stjórnandi, vefstjóri og sérstakir notendur geta ekki notað þessa aðferð';
+$lang['this email address is already in use'] = 'þetta netfange er nú þegar í notkun';
+$lang['Album results for'] = 'Albúm noðurstöðut fyrir';
+$lang['Tag results for'] = 'Merkja niðurstöður fyrir';
+$lang['from %s to %s'] = 'frá %s til %s';
+$lang['Play of slideshow'] = 'Spila myndasýningu';
+$lang['Pause of slideshow'] = 'setja hlé á myndasýningu';
+$lang['Repeat the slideshow'] = 'Endur taka myndasýningu';
+$lang['Not repeat the slideshow'] = 'Ekki endur taka myndasýningu';
+$lang['Reduce diaporama speed'] = 'Minnka hraða á myndasýningu';
+$lang['Accelerate diaporama speed'] = 'Auka hraða á myndasýningu';
+$lang['Submit'] = 'Senda inn';
+$lang['Yes'] = 'Já';
+$lang['No'] = 'Nei';
+$lang['%d photo'] = '%d mynd';
+$lang['%d photos'] = '%d myndir';
+$lang['%d photo is also linked to current tags'] = '%d mynd er einnig tengd við núverandi merkingar';
+$lang['%d photos are also linked to current tags'] = '%d myndir eru einnig tengdar við núverandi merkingar';
+$lang['display photos linked to this tag'] = 'sýna myndir tengdar við þetta merki';
+$lang['photos posted during the last %d days'] = 'myndir birtar síðustu %d daga';
+$lang['Piwigo Help'] = 'Piwigo hjáp';
+$lang['Rank'] = 'Staða';
+$lang['group by letters'] = 'hópa eftir bósktöfum';
+$lang['letters'] = 'bókstafir';
+$lang['show tag cloud'] = 'sýna merkingar ský';
+$lang['cloud'] = 'ský';
+$lang['Reset to default values'] = 'Endurstilla á sjálfgefinn gildi';
+$lang['delete all photos from your favorites'] = 'eyða öllum myndum úr uppáhalds';
+$lang['Sent by'] = 'Sent frá';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookie er lokað eða ekki stutt af vafranum þínum. Þú verður að virkaj cookie til að tengjast.n.';
+$lang['edit this comment'] = 'breyta þessari athugasemd';
+$lang['Edit a comment'] = 'Breyta athugasemd';
+$lang['Are you sure?'] = 'Ertu viss?';
+$lang['(!) This comment requires validation'] = '(!) Þessi athugasemd krefst staðfestingar';
+$lang['Welcome'] = 'Velkomin';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Velkomin í Piwigo myndasafnið þitt!';
+$lang['... or browse your empty gallery'] = '... eða skoða tóma myndasafnið þitt';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... eða vinsamlegast slökkva á þessum skilaboðum, ég mun rata sjálf/ur';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Halló %s, Piwigo myndasafnið þitt er tómt!';
+$lang['I want to add photos'] = 'Ég vil bæta við myndum';
+$lang['Manage this user comment: %s'] = 'Stjórna athugasemd þessa notenda: %s';
+$lang['Email address is missing. Please specify an email address.'] = 'Netfang vantar. Vinsamlegast tilgreinið netfang.';
+$lang['This author modified following comment:'] = 'Þessi höfundur breytti eftirfarandi athugasemd:';
+$lang['This author removed the comment with id %d'] = 'Þessi höfundur fjarlægði athugasemdina með id %d';
+$lang['delete this comment'] = 'eyða þessari athugasemd';
+$lang['validate this comment'] = 'staðfesta þessa athugasemd';
+?>
Index: /trunk/language/is_IS/index.php
===================================================================
--- /trunk/language/is_IS/index.php	(revision 9861)
+++ /trunk/language/is_IS/index.php	(revision 9861)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/language/is_IS/iso.txt
===================================================================
--- /trunk/language/is_IS/iso.txt	(revision 9861)
+++ /trunk/language/is_IS/iso.txt	(revision 9861)
@@ -0,0 +1,1 @@
+Íslenska [IS]