Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/comments/CommentsDialog.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/comments/CommentsDialog.java	(revision 9893)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/comments/CommentsDialog.java	(revision 9894)
@@ -176,4 +176,7 @@
 		reussite = false;
 		LOG.error(Tools.getStackTrace(e));
+	    } catch (Exception e) {
+		reussite = false;
+		LOG.error(Tools.getStackTrace(e));
 	    }
 	    if (reussite) {
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/CategoriesTree.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/CategoriesTree.java	(revision 9893)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/CategoriesTree.java	(revision 9894)
@@ -244,4 +244,6 @@
 		    } catch (ProxyAuthenticationException e) {
 			LOG.error(Tools.getStackTrace(e));
+		    } catch (Exception e) {
+			LOG.error(Tools.getStackTrace(e));
 		    }
 		} else {
@@ -258,4 +260,6 @@
 		    } catch (ProxyAuthenticationException e) {
 			LOG.error(Tools.getStackTrace(e));
+		    } catch (Exception e) {
+			LOG.error(Tools.getStackTrace(e));
 		    }
 		}
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/thread/ThreadPhotoSending.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/thread/ThreadPhotoSending.java	(revision 9893)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/thread/ThreadPhotoSending.java	(revision 9894)
@@ -9,4 +9,6 @@
 import fr.mael.jiwigo.transverse.ImagesManagement;
 import fr.mael.jiwigo.transverse.enumeration.PreferencesEnum;
+import fr.mael.jiwigo.transverse.exception.FileAlreadyExistsException;
+import fr.mael.jiwigo.transverse.exception.WrongChunkSizeException;
 import fr.mael.jiwigo.transverse.util.Messages;
 import fr.mael.jiwigo.transverse.util.preferences.PreferencesManagement;
@@ -69,6 +71,14 @@
 			ImagesManagement.getInstance().getPrivacyLevel());
 		MainFrame.getInstance().setMessage(files[i].getName() + " " + Messages.getMessage("sendingSuccess"));
+	    } catch (FileAlreadyExistsException e) {
+		//displays a dialog if there is a FileAlreadyExistsException
+		JOptionPane.showMessageDialog(null, Messages.getMessage("fileAlreadyExistsError"), Messages
+			.getMessage("error"), JOptionPane.ERROR_MESSAGE);
+		MainFrame.getInstance().setMessage(Messages.getMessage("sendingError") + " " + files[i].getName());
+	    } catch (WrongChunkSizeException e) {
+		JOptionPane.showMessageDialog(null, Messages.getMessage("wrongChunkSizeError") + files[i].getName(),
+			Messages.getMessage("error"), JOptionPane.ERROR_MESSAGE);
+		MainFrame.getInstance().setMessage(Messages.getMessage("sendingError") + " " + files[i].getName());
 	    } catch (Exception e) {
-		//displays a dialog if there is an error
 		JOptionPane.showMessageDialog(null, Messages.getMessage("sendingError") + files[i].getName(), Messages
 			.getMessage("error"), JOptionPane.ERROR_MESSAGE);
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/search/DialogChooseCategory.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/search/DialogChooseCategory.java	(revision 9893)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/search/DialogChooseCategory.java	(revision 9894)
@@ -13,4 +13,5 @@
 import javax.swing.JDialog;
 import javax.swing.JLabel;
+import javax.swing.JOptionPane;
 
 import fr.mael.jiwigo.Main;
@@ -20,5 +21,8 @@
 import fr.mael.jiwigo.transverse.ImagesManagement;
 import fr.mael.jiwigo.transverse.enumeration.PreferencesEnum;
+import fr.mael.jiwigo.transverse.exception.FileAlreadyExistsException;
 import fr.mael.jiwigo.transverse.exception.ProxyAuthenticationException;
+import fr.mael.jiwigo.transverse.exception.WrongChunkSizeException;
+import fr.mael.jiwigo.transverse.util.Messages;
 import fr.mael.jiwigo.transverse.util.Tools;
 import fr.mael.jiwigo.transverse.util.preferences.PreferencesManagement;
@@ -159,4 +163,6 @@
 	if (arg0.getSource().equals(okButton)) {
 	    Category category = (Category) comboCategories.getSelectedItem();
+	    List<File> alreadyExistingFiles = new ArrayList<File>();
+	    List<File> unExceptedFilesError = new ArrayList<File>();
 	    for (File file : filesToSend) {
 		try {
@@ -170,7 +176,34 @@
 			    category.getIdentifier(), widthOriginal, heightOriginal, chunkSize,
 			    ImagesManagement.getInstance().getPrivacyLevel());
+		} catch (WrongChunkSizeException ex) {
+		    JOptionPane.showMessageDialog(null, Messages.getMessage("wrongChunkSizeError"), Messages
+			    .getMessage("error"), JOptionPane.ERROR_MESSAGE);
+		    LOG.error(Tools.getStackTrace(ex));
+		    break;
+		} catch (FileAlreadyExistsException e) {
+		    alreadyExistingFiles.add(file);
 		} catch (Exception e) {
-		    e.printStackTrace();
+		    unExceptedFilesError.add(file);
+		    LOG.error(Tools.getStackTrace(e));
 		}
+	    }
+	    if (alreadyExistingFiles.size() != 0) {
+		StringBuffer list = new StringBuffer();
+		for (File file : alreadyExistingFiles) {
+		    list.append("<li>" + file.getName() + "</li>");
+		}
+		String message = String.format(Messages.getMessage("fileAlreadyExistsError"), list);
+		JOptionPane.showMessageDialog(null, message, Messages.getMessage("error"), JOptionPane.ERROR_MESSAGE);
+
+	    }
+
+	    if (unExceptedFilesError.size() != 0) {
+		StringBuffer list = new StringBuffer();
+		for (File file : unExceptedFilesError) {
+		    list.append("<li>" + file.getName() + "</li>");
+		}
+		String message = String.format(Messages.getMessage("unexpectedSendingError"), list);
+		JOptionPane.showMessageDialog(null, message, Messages.getMessage("error"), JOptionPane.ERROR_MESSAGE);
+
 	    }
 	    this.dispose();
Index: /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages.properties
===================================================================
--- /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages.properties	(revision 9893)
+++ /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages.properties	(revision 9894)
@@ -68,4 +68,7 @@
 connectionRefusedError=Error... Connection refused. Check proxy informations
 alreadySendingError=The application is already sending files. Please wait before sending other files.
+wrongChunkSizeError=The chunk size in the preferences menu is wrong.
+unexpectedSendingError=<html><center>Unexpected error while sending images. The images will probably not be created.<br/>Affected images are :</center><ul>%s</ul></html>
+fileAlreadyExistsError=<html><center>Some of the selected files exist on the server. They will not be created.<br/>Affected images are :</center><ul>%s</ul></html>
 
 #####################################################
Index: /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_en.properties
===================================================================
--- /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_en.properties	(revision 9893)
+++ /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_en.properties	(revision 9894)
@@ -69,4 +69,7 @@
 connectionRefusedError=Error... Connection refused. Check proxy informations
 alreadySendingError=The application is already sending files. Please wait before sending other files.
+wrongChunkSizeError=The chunk size in the preferences menu is wrong.
+unexpectedSendingError=<html><center>Unexpected error while sending images. The images will probably not be created.<br/>Affected images are :</center><ul>%s</ul></html>
+fileAlreadyExistsError=<html><center>Some of the selected files exist on the server. They will not be created.<br/>Affected images are :</center><ul>%s</ul></html>
 
 #####################################################
Index: /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_fr.properties
===================================================================
--- /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_fr.properties	(revision 9893)
+++ /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_fr.properties	(revision 9894)
@@ -68,4 +68,7 @@
 connectionRefusedError=Erreur... Connexion refusée. Vérifiez les paramètres proxy
 alreadySendingError=Un envoi de photo est en cours. Veuillez attendre qu'il soit fini.
+wrongChunkSizeError=La taille des "morceaux" indiquée dans les préférences n'est pas bonne.
+unexpectedSendingError=<html><center>Erreur inattendue lors de l'envoi des images. Les images ne seront probablement pas créées.<br/>Les images concernées sont : </center><ul>%s</ul></html>
+fileAlreadyExistsError=<html><center>Certains des fichiers envoyés existent sur le serveur. Les images ne seront pas créées.<br/>Les images concernées sont : </center><ul>%s</ul></html>
 
 #####################################################