Index: trunk/language/it_IT/admin.lang.php
===================================================================
--- trunk/language/it_IT/admin.lang.php	(revision 9869)
+++ trunk/language/it_IT/admin.lang.php	(revision 9898)
@@ -57,5 +57,5 @@
 $lang['Add'] = 'Aggiungere';
 $lang['Allow user registration'] = 'Consentire l\'iscrizione degli \'ospiti\'';
-$lang['Apply to sub-albums'] = 'Applicare al sub album';
+$lang['Apply to sub-albums'] = 'Applicare al sub-album';
 $lang['Associated'] = 'Associato a';
 $lang['Batch management'] = 'Gestione per lotti';
@@ -176,8 +176,8 @@
 $lang['You are running on development sources, no check possible.'] = 'State lavorando con una versione di sviluppo, impossibile verificare l\'ultima versione.';
 $lang['You cannot delete your account'] = 'Non potete cancellare il vostro account utente';
-$lang['You cannot move an album in its own sub album'] = 'Non si può spostare un album nel proprio sub album';
+$lang['You cannot move an album in its own sub album'] = 'Non si può spostare un album nel proprio sub-album';
 $lang['You need to confirm deletion'] = 'Dovete confermare la cancellazione';
 $lang['add tags'] = 'Aggiungere i tags';
-$lang['Associate to album'] = 'Associare al\'album';
+$lang['Associate to album'] = 'Associare all\'album';
 $lang['associate to group'] = 'Associare al gruppo';
 $lang['Authorized'] = 'Autorizzate';
@@ -228,5 +228,5 @@
 $lang['Locked'] = 'Bloccate';
 $lang['manage album photos'] = 'Gestire le foto dell\'album';
-$lang['manage sub-albums'] = 'Gestire i sub album';
+$lang['manage sub-albums'] = 'Gestire i sub-album';
 $lang['Manage'] = 'Gestire';
 $lang['maximum height'] = 'Altezza massima';
@@ -338,5 +338,5 @@
 $lang['status'] = 'Stato';
 $lang['Directory'] = 'Directory';
-$lang['sub-albums'] = 'sub album';
+$lang['sub-albums'] = 'sub-album';
 $lang['synchronize metadata'] = 'Sincronizzare i metadati';
 $lang['target'] = 'Target';
Index: trunk/language/it_IT/common.lang.php
===================================================================
--- trunk/language/it_IT/common.lang.php	(revision 9869)
+++ trunk/language/it_IT/common.lang.php	(revision 9898)
@@ -198,6 +198,6 @@
 $lang['Home'] = 'Home';
 $lang['in this album'] = 'In questo album';
-$lang['in %d sub-album'] = 'in %d sub album';
-$lang['in %d sub-albums'] = 'in %d sub album';
+$lang['in %d sub-album'] = 'in %d sub-album';
+$lang['in %d sub-albums'] = 'in %d sub-album';
 $lang['included'] = 'incluso';
 $lang['Invalid password!'] = 'Password non valida !';
@@ -213,5 +213,5 @@
 $lang['Maximum width must be a number superior to 50'] = 'La larghezza massima deve essere un numero superiore a 50';
 $lang['display a calendar by creation date'] = 'Mostra il calendario per data di creazione';
-$lang['display all photos in all sub-albums'] = 'Mostrare tutti gli elementi in tutti gli album e sub album';
+$lang['display all photos in all sub-albums'] = 'Mostrare tutti gli elementi in tutti gli album e sub-album';
 $lang['return to normal view mode'] = 'Ritorna alla visualizzazione normale';
 $lang['display a calendar by posted date'] = 'Mostra il calendario per data d\'inserimento nella galleria';
@@ -278,5 +278,5 @@
 $lang['Search Options'] = 'Opzioni di ricerca';
 $lang['Search results'] = 'Risultato della ricerca';
-$lang['Search in sub-albums'] = 'Cercare nei sub album';
+$lang['Search in sub-albums'] = 'Cercare nei sub-album';
 $lang['searched words : %s'] = 'parole cercate : %s';
 $lang['Contact'] = 'Contattare';
Index: trunk/language/it_IT/help/cat_modify.html
===================================================================
--- trunk/language/it_IT/help/cat_modify.html	(revision 9869)
+++ trunk/language/it_IT/help/cat_modify.html	(revision 9898)
@@ -27,5 +27,5 @@
 pubblichi.</li>
 
-  <li><strong>Blocco</strong>: Gli album e i sotto-album verranno disattivati temporaneamente per manutenzione.</li>
+  <li><strong>Blocco</strong>: Gli album e i sub-album verranno disattivati temporaneamente per manutenzione.</li>
 
 <li><strong>Commenti</strong>: Autorizzare gli utenti a commentare
@@ -45,7 +45,7 @@
 <p>Scegliere se il tipo di ordinamento predefinito sarà usato.</p>
 
-<p>Indicare se quest'ordinamento sarà applicato ai sotto-album.</p>
+<p>Indicare se quest'ordinamento sarà applicato ai sub-album.</p>
 
-<p>Scegliere le colonne per l'ordinamento da usare su questo album.</p>
+<p>Scegliere le colonne per l'ordinamento da usare su quest'album.</p>
 <ul>
 <li><strong>Data di creazione</strong>: Data di creazione dell'immagine</li>
@@ -64,5 +64,5 @@
 <p>La copertina di un album è la miniatura che appare per rappresentare l'album sulla pagina principale (<span
 class="pwgScreen">category.php</span>) quando
-l'album contiene solo dei sotto-album
+l'album contiene solo dei sub-album
 e non direttamente delle immagini (come
 alla radice).</p>
@@ -106,5 +106,5 @@
 copertina</strong>.</p>
 
-<p>Se l'album non contiene nessun elemento (ma solo dei sotto-album) può comunque essere rappresentata da un qualsiasi
+<p>Se l'album non contiene nessun elemento (ma solo dei sub-album) può comunque essere rappresentata da un qualsiasi
 elemento. Utilizzare la pagina <span class="pwgScreen">Modicare le informazioni
 di un'immagine</span>. L'unica opzione disponibile di questa pagina è il pulsante
Index: trunk/language/it_IT/help/cat_move.html
===================================================================
--- trunk/language/it_IT/help/cat_move.html	(revision 9869)
+++ trunk/language/it_IT/help/cat_move.html	(revision 9898)
@@ -13,3 +13,3 @@
 Se non ne selezionate uno, 
 gli album da spostare verranno inserite nella root del sito.
-Non potete spostare un album verso se stesso o verso un proprio sotto-album.</p>
+Non potete spostare un album verso se stesso o verso un proprio sub-album.</p>
Index: trunk/language/it_IT/help/cat_options.html
===================================================================
--- trunk/language/it_IT/help/cat_options.html	(revision 9869)
+++ trunk/language/it_IT/help/cat_options.html	(revision 9898)
@@ -13,5 +13,5 @@
 
   <dd>Gli album selezionati sono temporaneamente bloccati
-per lavori di manutenzione. Se un album è bloccato per manutenzione, tutti i sotto-album sono a loro volta bloccati.
+per lavori di manutenzione. Se un album è bloccato per manutenzione, tutti i sub-album sono a loro volta bloccati.
 Se un album è sbloccato, tutti gli album padri vengono sbloccare.</dd>
 
@@ -20,5 +20,5 @@
   <dd>La gestione dei permessi è possibile solo sugli album privati. Una volta reso un album privato, dovete
 in modo esplicito autorizzare gli utenti o i gruppi
-ad accedervi. Se un album è privato, tutti i sotto-album diventono a loro volta privati.
+ad accedervi. Se un album è privato, tutti i sub-album diventono a loro volta privati.
 Se un album diventa pubblico, tutti gli album padri diventono pubblici.</dd>
 
Index: trunk/language/it_IT/help/configuration.html
===================================================================
--- trunk/language/it_IT/help/configuration.html	(revision 9869)
+++ trunk/language/it_IT/help/configuration.html	(revision 9898)
@@ -114,5 +114,5 @@
 gli album nel menu? <em>Attenzione</em>: questa opzione consuma molte
 risorse di sistema, se avete tanti album
-e sub album.</li>
+e sub-album.</li>
 
   <li><strong>Mostrare il numero di commenti</strong>: Mostrare il numero
Index: trunk/language/it_IT/help/photos_add_ftp.html
===================================================================
--- trunk/language/it_IT/help/photos_add_ftp.html	(revision 9869)
+++ trunk/language/it_IT/help/photos_add_ftp.html	(revision 9898)
@@ -92,7 +92,7 @@
 
   <li><em>Suggerimento</em>: un album può contenere elementi
-e sub album assieme. Tuttavia, è fortemente raccomandato scegliere,
+e sub-album assieme. Tuttavia, è fortemente raccomandato scegliere,
 per ogni album, se inserire degli elementi <strong>o</strong>
-dei sub album.</li>
+dei sub-album.</li>
 
   <li>Una volta che i file, le miniature e i file rappresentativi sono
Index: trunk/language/it_IT/help/search.html
===================================================================
--- trunk/language/it_IT/help/search.html	(revision 9869)
+++ trunk/language/it_IT/help/search.html	(revision 9898)
@@ -21,5 +21,5 @@
 
   <dd>Selezionare gli album in cui desiderate eseguire la ricerca.
-È possibile ricercare in tutti gli album selezionando l'album padre e autorizzando la ricerca ni tutti i sub album.</dd>
+È possibile ricercare in tutti gli album selezionando l'album padre e autorizzando la ricerca ni tutti i sub-album.</dd>
 
 </dl>
Index: trunk/language/it_IT/upgrade.lang.php
===================================================================
--- trunk/language/it_IT/upgrade.lang.php	(revision 9869)
+++ trunk/language/it_IT/upgrade.lang.php	(revision 9898)
@@ -37,5 +37,5 @@
 $lang['Only administrator can run upgrade: please sign in below.'] = 'Solo l\'amministratore può eseguire l\'aggiornamento: fate login.';
 $lang['You do not have access rights to run upgrade'] = 'Non avete le autorizzazioni necessarie per effettuare l\'aggiornamento';
-$lang['All sub-albums of private albums become private'] = 'Tutti i sub album degli album privati diventano privati';
+$lang['All sub-albums of private albums become private'] = 'Tutti i sub-album degli album privati diventano privati';
 $lang['User permissions and group permissions have been erased'] = 'I permessi degli utenti e dei gruppi sono stati cancellati';
 $lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Solo il prefisso delle miniature e l\'indirizzo email del webmaster sono stati recuperati dalla precedente configurazione';